

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_pro_recursoFisico]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_pro_recursoFisico]
GO
CREATE PROCEDURE [reg_pro_recursoFisico]
	@p_id INT
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[recursoFisico] AS [recursoFisico],
		[recursoFisico_codigo] AS [recursoFisico_codigo],
		[costo] AS [costo],
		[unidadTiempo] AS [unidadTiempo],
		[esPropio] AS [esPropio],
		[id_equipo] AS [id_equipo],
		[id_catalogo] AS [id_catalogo]
	FROM [pro_recursoFisico]
	WHERE	(id = @p_id)

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[view_pro_recursoFisico]')) DROP VIEW [dbo].[view_pro_recursoFisico]
GO
CREATE  VIEW [view_pro_recursoFisico] AS
SELECT 	[pro_recursoFisico].[id] AS [id],
		[pro_recursoFisico].[uid] AS [uid],
		[pro_recursoFisico].[eid] AS [eid],
		[pro_recursoFisico].[id_usuario_modifico] AS [id_usuario_modifico],
		[pro_recursoFisico].[id_usuario_creo] AS [id_usuario_creo],
		[pro_recursoFisico].[fechaModificacion] AS [fechaModificacion],
		[pro_recursoFisico].[fechaCreacion] AS [fechaCreacion],
		[pro_recursoFisico].[active] AS [active],
		[pro_recursoFisico].[recursoFisico] AS [recursoFisico],
		[pro_recursoFisico].[recursoFisico_codigo] AS [recursoFisico_codigo],
		[pro_recursoFisico].[costo] AS [costo],
		[pro_recursoFisico].[unidadTiempo] AS [unidadTiempo],
		[pro_recursoFisico].[esPropio] AS [esPropio],
		[pro_recursoFisico].[id_equipo] AS [id_equipo],
[equ_equipo].[equipo] as [equ_equipo_equipo],
[equ_equipo].[equipo_codigo] as [equ_equipo_equipo_codigo],
[equ_equipo].[equipo_serial] as [equ_equipo_equipo_serial],
[equ_equipo].[nombreContacto] as [equ_equipo_nombreContacto],
[equ_equipo].[telefonoContacto] as [equ_equipo_telefonoContacto],
[equ_equipo].[ubicacion] as [equ_equipo_ubicacion],
[equ_equipo].[observaciones] as [equ_equipo_observaciones],
[equ_equipo].[fechaPuestaMarcha_fh] as [equ_equipo_fechaPuestaMarcha_fh],
[equ_equipo].[vencimientoGarantiaFabrica_ff] as [equ_equipo_vencimientoGarantiaFabrica_ff],
[equ_equipo].[vencimientoGarantiaDistribuidor_ff] as [equ_equipo_vencimientoGarantiaDistribuidor_ff],
[equ_equipo].[horasGarantia] as [equ_equipo_horasGarantia],
[equ_equipo].[ultimaLectura_fh] as [equ_equipo_ultimaLectura_fh],
[equ_equipo].[horometroActual] as [equ_equipo_horometroActual],
[equ_equipo].[promedioHoras] as [equ_equipo_promedioHoras],
[equ_equipo].[costo] as [equ_equipo_costo],
[equ_equipo].[fechaImportacion_ff] as [equ_equipo_fechaImportacion_ff],
[equ_equipo].[garantiaCancelada] as [equ_equipo_garantiaCancelada],
[equ_equipo].[id_catalogo.equipo] as [equ_equipo_id_catalogo.equipo],
[equ_equipo].[id_sistema] as [equ_equipo_id_sistema],
[equ_equipo].[id_sucursal] as [equ_equipo_id_sucursal],
[equ_equipo].[id_zona] as [equ_equipo_id_zona],
[equ_equipo].[id_versionEquipo] as [equ_equipo_id_versionEquipo],
[equ_equipo].[id_tercero_comprador] as [equ_equipo_id_tercero_comprador],
[equ_equipo].[id_tercero] as [equ_equipo_id_tercero],
[equ_equipo].[id_tercero_servicio] as [equ_equipo_id_tercero_servicio],
[equ_equipo].[id_equipo] as [equ_equipo_id_equipo],
[equ_equipo].[id_estadoEquipo] as [equ_equipo_id_estadoEquipo],
		[pro_recursoFisico].[id_catalogo] AS [id_catalogo],
[cat_catalogo].[catalogo] as [cat_catalogo_catalogo],
[cat_catalogo].[catalogo_codigo] as [cat_catalogo_catalogo_codigo],
[cat_catalogo].[codigoInventario] as [cat_catalogo_codigoInventario],
[cat_catalogo].[precioVenta] as [cat_catalogo_precioVenta],
[cat_catalogo].[tiempoConsecucion] as [cat_catalogo_tiempoConsecucion],
[cat_catalogo].[esNacional] as [cat_catalogo_esNacional],
[cat_catalogo].[id_familia] as [cat_catalogo_id_familia],
[cat_catalogo].[id_subtipoCatalogo] as [cat_catalogo_id_subtipoCatalogo],
[cat_catalogo].[id_unidad] as [cat_catalogo_id_unidad],
[cat_catalogo].[id_impuesto] as [cat_catalogo_id_impuesto],
[cat_catalogo].[descripcion] as [cat_catalogo_descripcion],
[cat_catalogo].[bloquearCostear] as [cat_catalogo_bloquearCostear],
		[empresaCodigo].[empresa] As [multiempresa]
FROM [pro_recursoFisico]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[pro_recursoFisico].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[pro_recursoFisico].[id_usuario_creo]
	INNER JOIN [equ_equipo] ON [equ_equipo].id=[pro_recursoFisico].[id_equipo]
	INNER JOIN [cat_catalogo] ON [cat_catalogo].id=[pro_recursoFisico].[id_catalogo]
	INNER JOIN [gen_empresa] AS empresaCodigo ON [pro_recursoFisico].eid = [empresaCodigo].[codigo] and empresaCodigo.active=1
WHERE [pro_recursoFisico].active=1
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_recursoFisicosXusuario_modifico]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_recursoFisicosXusuario_modifico]
GO
CREATE PROCEDURE [sel_pro_recursoFisicosXusuario_modifico]
	@p_id_usuario_modifico INT
AS
BEGIN
	SELECT * 
	FROM [view_pro_recursoFisico]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_recursoFisicosXusuario_creo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_recursoFisicosXusuario_creo]
GO
CREATE PROCEDURE [sel_pro_recursoFisicosXusuario_creo]
	@p_id_usuario_creo INT
AS
BEGIN
	SELECT * 
	FROM [view_pro_recursoFisico]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_recursoFisicosXequipo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_recursoFisicosXequipo]
GO
CREATE PROCEDURE [sel_pro_recursoFisicosXequipo]
	@p_id_equipo INT
AS
BEGIN
	SELECT * 
	FROM [view_pro_recursoFisico]
	WHERE ([id_equipo]= @p_id_equipo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_recursoFisicosXcatalogo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_recursoFisicosXcatalogo]
GO
CREATE PROCEDURE [sel_pro_recursoFisicosXcatalogo]
	@p_id_catalogo INT
AS
BEGIN
	SELECT * 
	FROM [view_pro_recursoFisico]
	WHERE ([id_catalogo]= @p_id_catalogo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_recursoFisicos]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_recursoFisicos]
GO
CREATE PROCEDURE [sel_pro_recursoFisicos]
	
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_pro_recursoFisico]
WHERE (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_pro_recursoFisicos]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_pro_recursoFisicos]
GO
CREATE PROCEDURE [lis_pro_recursoFisicos]
	AS
BEGIN
	SELECT id AS id,
[recursoFisico] AS [pro_recursoFisico]
	FROM [pro_recursoFisico]
	WHERE active = 1
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[upd_pro_recursoFisico]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[upd_pro_recursoFisico]
GO
CREATE PROCEDURE [upd_pro_recursoFisico]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_recursoFisico varchar(300) = null,
		@p_recursoFisico_codigo varchar(100) = null,
		@p_costo float = null,
		@p_unidadTiempo varchar(1) = null,
		@p_esPropio bit = null,
		@p_id_equipo int = null,
		@p_id_catalogo int = null
AS
BEGIN
		UPDATE [pro_recursoFisico]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[recursoFisico] = isnull(@p_recursoFisico,[recursoFisico]),
			[recursoFisico_codigo] = isnull(@p_recursoFisico_codigo,[recursoFisico_codigo]),
			[costo] = isnull(@p_costo,[costo]),
			[unidadTiempo] = isnull(@p_unidadTiempo,[unidadTiempo]),
			[esPropio] = isnull(@p_esPropio,[esPropio]),
			[id_equipo] = isnull(@p_id_equipo,[id_equipo]),
			[id_catalogo] = isnull(@p_id_catalogo,[id_catalogo])
		WHERE (id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ins_pro_recursoFisico]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[ins_pro_recursoFisico]
GO
CREATE PROCEDURE [ins_pro_recursoFisico]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_recursoFisico varchar(300),
		@p_recursoFisico_codigo varchar(100),
		@p_costo float,
		@p_unidadTiempo varchar(1),
		@p_esPropio bit,
		@p_id_equipo int,
		@p_id_catalogo int
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [pro_recursoFisico]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[recursoFisico],
			[recursoFisico_codigo],
			[costo],
			[unidadTiempo],
			[esPropio],
			[id_equipo],
			[id_catalogo])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_recursoFisico,
			@p_recursoFisico_codigo,
			@p_costo,
			@p_unidadTiempo,
			@p_esPropio,
			@p_id_equipo,
			@p_id_catalogo)
		SET @v_id = scope_identity()
UPDATE [pro_recursoFisico] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[act_pro_recursoFisico]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[act_pro_recursoFisico]
GO
CREATE PROCEDURE [act_pro_recursoFisico]
	@p_active BIT,
	@p_id INT,
@p_id_usuario_modifico int = null
AS
BEGIN
	UPDATE [pro_recursoFisico]
	SET active=@p_active,
	[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
	[fechaModificacion] = GETDATE()
	WHERE	(id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_pro_recursoFisico_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_pro_recursoFisico_m]
GO
CREATE PROCEDURE [reg_pro_recursoFisico_m]
	@p_id INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[recursoFisico] AS [recursoFisico],
		[recursoFisico_codigo] AS [recursoFisico_codigo],
		[costo] AS [costo],
		[unidadTiempo] AS [unidadTiempo],
		[esPropio] AS [esPropio],
		[id_equipo] AS [id_equipo],
		[id_catalogo] AS [id_catalogo]
	FROM [pro_recursoFisico]
	WHERE	(id = @p_id)
	AND	(eid LIKE @p_eid+'%')

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_recursoFisicosXusuario_modifico_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_recursoFisicosXusuario_modifico_m]
GO
CREATE PROCEDURE [sel_pro_recursoFisicosXusuario_modifico_m]
	@p_id_usuario_modifico INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_pro_recursoFisico]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_recursoFisicosXusuario_creo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_recursoFisicosXusuario_creo_m]
GO
CREATE PROCEDURE [sel_pro_recursoFisicosXusuario_creo_m]
	@p_id_usuario_creo INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_pro_recursoFisico]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_recursoFisicosXequipo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_recursoFisicosXequipo_m]
GO
CREATE PROCEDURE [sel_pro_recursoFisicosXequipo_m]
	@p_id_equipo INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_pro_recursoFisico]
	WHERE ([id_equipo]= @p_id_equipo)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_recursoFisicosXcatalogo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_recursoFisicosXcatalogo_m]
GO
CREATE PROCEDURE [sel_pro_recursoFisicosXcatalogo_m]
	@p_id_catalogo INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_pro_recursoFisico]
	WHERE ([id_catalogo]= @p_id_catalogo)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_recursoFisicos_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_recursoFisicos_m]
GO
CREATE PROCEDURE [sel_pro_recursoFisicos_m]
	@p_eid as varchar (50)='',
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_pro_recursoFisico]
WHERE  (eid like '''+@p_eid+'%'+''' ) AND (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_pro_recursoFisicos_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_pro_recursoFisicos_m]
GO
CREATE PROCEDURE [lis_pro_recursoFisicos_m]
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT id AS id,
[recursoFisico] AS [pro_recursoFisico]
	FROM [pro_recursoFisico]
	WHERE active = 1
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aud_pro_recursoFisico]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[aud_pro_recursoFisico]
GO
CREATE PROCEDURE [aud_pro_recursoFisico]
	@p_filtro as varchar (8000) = '1=1'
AS
BEGIN
exec(	'SELECT [pro_recursoFisico].id as id_tabla,
	[pro_recursoFisico].id_usuario_modifico as id_usuario_modifico,
	[pro_recursoFisico].id_usuario_creo as id_usuario_creo,
	[pro_recursoFisico].fechaModificacion as fechaModificacion,
	[pro_recursoFisico].fechaCreacion as fechaCreacion,
	[pro_recursoFisico].active as active,
	[pro_recursoFisico].[recursoFisico] as campoPrincipal,
	[seg_usuario_creo].usuario as usuarioCreo,
	[seg_usuario_modifico].usuario as usuarioModifico

	FROM [pro_recursoFisico]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[pro_recursoFisico].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[pro_recursoFisico].[id_usuario_creo]
	where ' + @p_filtro)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
print 'pro_recursoFisico'
-----------------------------------07/07/2015 10:40:07 a.m.